use sea_orm_migration::prelude::*;

pub struct Migrator;

mod m20220804_000001_create_audit_table;
mod m20220804_000002_create_user_table;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20220804_000001_create_audit_table::Migration),
            Box::new(m20220804_000002_create_user_table::Migration),
        ]
    }
}
